Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class AddressBook

    java.lang.Object
      portlets.compoze.groupware.mail.AddressBook

All Implemented Interfaces:
  java.io.Serializable

public class AddressBook
extends java.lang.Object
implements java.io.Serializable

This class represents an address book.

See Also:
  `AddressBook`, Serialized Form

Constructor Summary
`AddressBook(java.lang.String sName, java.lang.String sKey, java.lang.String sID)` Constructor.

Method Summary
`java.lang.String` | `getID()` Gets the address book ID.
`java.lang.String` | `getKey()` Gets the i18n key for the address book name.
`java.lang.String` | `getName()` Gets the address book name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressBook

    public AddressBook(java.lang.String sName,
                       java.lang.String sKey,
                       java.lang.String sID)

  Constructor.

Parameters:
  `sName` - the address book name
  `sKey` - the i18n key for the address book name
  `sID` - the address book ID

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the i18n key for the address book name.

  Returns:
    the i18n key for the address book name

### getID

    public java.lang.String getID()

  Gets the address book ID.

  Returns:
    the address book ID

### getName

    public java.lang.String getName()

  Gets the address book name.

  Returns:
    the address book name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.